Subject: [TR] Spinal Tappets

From: John Macartney <[email-masked]>
Date: Tue, 11 Jul 2023 09:53:10 +0100

I feel especially honoured by that fantastic group. In 2009,  when doing the Triumph Trans AmeriCan charity drive, ISOA put on an incredible event when I visited Joe PAWLAK and his team of busted knuckles who had previously rebuilt the Stag I was driving. The group was very much in evidence and sang an adapted song from its repertoire called “Johnnys got a brand new Stag”. Brought a CD home and played it to a bunch of TR Register arrogant, PITA stuffshirts here in the U.K. who claimed the material was sacrilegious to Triumph etc etc. I applaud the Spinal Tappets, as did many other *older* members of other U.K. clubs have heard and enjoyed that same CD. Too many younger ones just don’t get it / see the songs as mickey taking and especially so if they own a car of the same model. Vive les Spinal Tappets even though I believe they’ve disbanded. Sad, they were great.

Jonmac

> On 10 Jul 2023, at 19:00, [email-masked] wrote:
> 
> Send Triumphs mailing list submissions to
>    [email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
>    http://autox.team.net/mailman/listinfo/triumphs
> or, via email, send a message with subject or body 'help' to
>    [email-masked]
> 
> You can reach the person managing the list at
>    [email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Triumphs digest..."
> Today's Topics:
> 
>   1. Has anyone one use K-seal in their Triumph? (Sujit Roy)
>   2. Re: Has anyone one use K-seal in their Triumph? (Chad)
>   3. Spinal Tappets (Paul Tegler)
>   4. Re: Spinal Tappets (Ronnie Babbitt)
>   5. Re: generator vs alternator ([email-masked])
> <mime-attachment>
> <mime-attachment>
> <mime-attachment>
> <mime-attachment>
> <mime-attachment>
> _______________________________________________
> 
> Triumphs mailing list
> [email-masked]
> http://autox.team.net/mailman/listinfo/triumphs

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]